<!-- ko foreach: getRegion('before_details') -->
<!-- ko template: getTemplate() --><!-- /ko -->
<!-- /ko -->
<strong class="product-item-name">
    <a data-bind="html: $parent.name, attr: {href: getProductUrl($parent.item_id)}"></a>
</strong>
<div class="product-item-details">
    <div class="product-item-inner">
        <div class="product-item-name-block">
            <!-- ko if: (JSON.parse($parent.options).length > 0)-->
            <div class="product options" data-bind="mageInit: {'collapsible':{'openedState': 'active'}}">        
                <div data-role="content" class="content">
                    
                    <!--ko foreach: JSON.parse($parent.options)-->

                    <p class="checkout-prop"><span class="label" data-bind="text: label"></span>: <span class="checkout-val"><span class="values" data-bind="html: value"></span></span></p>


               
                    
                    <!-- /ko -->
                    
                </div>
            </div>
            <!-- /ko -->
            <div class="details-qty">
                <span class="label"><!-- ko i18n: 'Qty' --><!-- /ko --></span>

                <span class="qty-button">
                  <span class="decrease" data-bind="attr: {action: 'decrease', itemId: $parent.item_id}, click: updateQtyButton">-</span>
                    <input type="number" class="input-text qty" data-bind="
                        value: $parent.qty,
                        event: {
                            change: function () {updateQty($parent);}
                        },
                        attr: {
                            title: titleQtyBox
                        }"/>
                    <span class="increase" data-bind="attr: {action: 'increase', itemId: $parent.item_id}, click: updateQtyButton">+</span>
                </span>
                <span class="error-message" data-bind="attr: {itemId: $parent.item_id}"></span>
                


                <a href="#" data-bind="attr: {'data-post': getDataPost($parent.item_id),title: $t('Delete item')}" class="action delete">
                    <span data-bind="i18n: 'Remove'"></span>
                </a>
            </div>
        </div>
        <!-- ko foreach: getRegion('after_details') -->
        <!-- ko template: getTemplate() --><!-- /ko -->
        <!-- /ko -->
    </div>
</div>
